package user_report_chapter_set

import "time"

// 用户周报章节设置
type UserReportChapterSet struct {
	UserReportChapterSetId uint64    `gorm:"primaryKey;column:user_report_chapter_set_id;type:bigint(20) unsigned;not null" json:"-"` // 用户id
	UserId                 uint64    `gorm:"column:user_id;type:bigint(20);default:0" json:"user_id"`                                 // open_id
	TypeId                 int       `gorm:"column:type_id;type:tinyint(1);default:0" json:"type_id"`
	TypeName               string    `gorm:"column:type_name;type:varchar(30);default:''" json:"type_name"` // 普通用户个人资料填写的省份
	IsClose                int       `gorm:"column:is_close;type:tinyint(1);default:0" json:"is_close"`
	CreateTime             time.Time `gorm:"column:create_time;type:datetime;default:CURRENT_TIMESTAMP" json:"createTime"`  // 创建时间
	ModifyTime             time.Time `gorm:"column:modify_time;type:datetime;default:CURRENT_TIMESTAMP" json:"modify_time"` // 修改时间
}

// TableName get sql table name.获取数据库表名
func (m *UserReportChapterSet) TableName() string {
	return "user_report_chapter_set"
}
